/* last edit: Ilja Schmelzer -------------- 17-OCT-1994 19:55:45.43	*/
/************************************************************************/
/*                                                                      */
/*  <<< I B G >>> - Intersection - Based Grid generation package 	*/
/*                                                                      */
/*  Version 1.1 by Ilja Schmelzer   schmelzer@iaas-berlin.d400.de       */
/*                                                                      */
/*  to be distributed under IBG license conditions (see "readme.ibg")	*/
/*                                                                      */
/************************************************************************/
#define const
#include "ibglib.h"
#include "ibgd0.h"
#include "ibgt.h"
#include "ibgdefault.h"

void ibgdInitialize(ibGeometry geom, ibGeometryClass Class)
{
 *(ibgFunction*)&Class->RegionOfPoint		= (ibgFunction)ibgNULL;
 Class->FaceWithEdge		= ibgDefaultFaceWithEdge;
 Class->LineWithTriangle	= ibgDefaultLineWithTriangle;
 Class->NodeInTetrahedron	= ibgDefaultNodeInTetrahedron;
/*	not virtual at current state:
 Class->LineWithRectangle	= ibgDefaultLineWithRectangle;
 Class->NodeInHexahedron	= ibgDefaultNodeInHexahedron;
 Class->StatusOfEdge		= ibgDefaultStatusOfEdge;
 Class->StatusOfTriangle	= ibgDefaultStatusOfTriangle;
 Class->StatusOfTetrahedron	= ibgDefaultStatusOfTetrahedron;
*/
 *(ibgFunction*)&Class->Free 			= (ibgFunction)ibgNULL;
 geom->Class			= Class;
 geom->copy			= 0;
 geom->Delta			= 1.e-4;
 geom->LoopBreakRectangle	= 10;
 geom->LoopBreakHexahedron	= 50;
 ibgtInit(&(geom->top));
}
