/* last edit: Ilja Schmelzer --------------  4-APR-1995 11:33:47.53	*/
/************************************************************************/
/*                                                                      */
/*  <<< I B G >>> - Intersection - Based Grid generation package 	*/
/*                                                                      */
/*  Version 1.1 by Ilja Schmelzer   schmelzer@iaas-berlin.d400.de       */
/*                                                                      */
/*  to be distributed under IBG license conditions (see "readme.ibg")	*/
/*                                                                      */
/************************************************************************/
/*
	This file contains two trivial calls. They are designed to
	give the user control over the parameters controlling the
  	grid output.

	ibgControl() will be called at the begin of ibgOutput(). So it allows
	to change the output parameters before each output operation.

	ibgControlInit will be called once at the end of ibgApplicationInit().
	So useful defaults are already available.
*/
#include "ibg.h"
#include "ibgoutput.h"
#include "ibgapplication.h"

static int Controlcount = 1;
void ibgControl()
{
/* here a window- or language-interface may be called */
/* per default, for 2D grids the inner cells (triangles) and for
   3D grids the boundary cells (triangles) will be written.
   To change this behavior to put out the inner cells (tetrahedra)
   uncomment the following line:

 ibgOutputType[ibgSRegion] = ibgTrue;
 */
 return;
}

void ibgControlInit()
{
/* here a window- or language-interface may be initialized */
 ibgFileMode = ibgFileModSimplex;
 return;
}
