/* last edit: Ilja Schmelzer -------------- 10-JUN-1994 15:08:06.77	*/
/************************************************************************/
/*                                                                      */
/*  <<< I B G >>> - Intersection - Based Grid generation package 	*/
/*                                                                      */
/*  Version 1.1 by Ilja Schmelzer   schmelzer@iaas-berlin.d400.de       */
/*                                                                      */
/*  to be distributed under IBG license conditions (see "readme.ibg")	*/
/*                                                                      */
/************************************************************************/
typedef struct{
	ibgFloat	x1,y1;
	ibgFloat   	x2,y2;
	int		region;
	int		next;
}ibgledge;

typedef struct{
	ibgFloat	xm,len;
	int		left,right;
	int		first;
	int		lcount,rcount;
}ibglpoint;

typedef struct ibgltree0{
	int	   	medges,mpoints;
	int		ledges,lpoints;
	ibgledge	*edge;
	ibglpoint	*point;
	int		first;
	int		defregion;
	ibgFloat	ymax;
	ibgFloat	xmin;
	ibgFloat	xmax;
}ibgltree;

extern ibgltree *ibgltree0;

