#ifndef IBGEXT_H
#define IBGEXT_H

#ifndef IBG_H
#include "ibg.h"
#endif

typedef struct ibgExtData0 ibgExtData;

/* initialization, reading the file with the external parameters */
ibgExtData *ibgExtInit(char* filename);

/* getting the coarse grid information from the external parameters */
ibgInt  ibgExtReg(ibgExtData *r, ibgInt d);
ibgInt  ibgExtNum(ibgExtData *r, ibgInt d);
ibgFloat* ibgExtX(ibgExtData *r, ibgInt d);

/* the refinement criteria using the external parameters */

void ibgExtRegion(ibgPtObject This, ibgPoint *x,  ibgFloat *l);
int  ibgExtEdge  (ibgPtObject This, ibgPoint *x1, ibgPoint *x2);

#endif
